Subject: Re: [PATCH] Rearrange git-format-patch synopsis to improve clarity.

From: Andreas Ericsson <[email-masked]>
Date: Mon, 05 Nov 2007 23:48:38 +0100

David Symonds wrote:
> On 11/5/07, David Symonds <[email-masked]> wrote:
>>                     [-s | --signoff] [<common diff options>]
>> -                   [--start-number <n>] [--numbered-files]
>> +                   [-n | --numbered-files | -N | --no-numbered]
>> +                   [--start-number <n>]
> 
> Now that I look at it again, it seems the long options look quite
> inconsistent. I think it should be either
> --numbered-files/--no-numbered-files or --numbered/--no-numbered. My
> preference is with the latter (for brevity), but that breaks
> backward-compatibility.
> 
> Would you accept a patch that changed --numbered-files to --numbered,
> and kept the former as a synonym?
> 

I thought files were always numbered, but the [PATCH m/n] wasn't. Have I
missed something?

If your --numbered-files is supposed to affect only file-numbering, I'd
suggest *not* using --numbered, as it's ambiguous with "number-subject".

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231